apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: sta-tdb-tinyurl
  namespace: sta-tdb-tinyurl
spec:
  hosts:
    - <<SITES>>
  gateways:
    - sta-tdb-tinyurl
  http:
    - match:
        - scheme:
            exact: http
      redirect:
        scheme: https
    - route:
        - destination:
            host: sta-tdb-tinyurl
            port:
              number: 8080
